/* Multipattern random searches using set Horspool's algorithm adapted to 
search inside a text compressed with SC-Dense Code.
Lightweight Natural Language Text Compression: Information Retrieval 2006
Copyright (C) 2005 Antonio Faria.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author's contact: Antonio Faria, Dept. of Computer Science, University of
A Corua. Campus de Elvia s/n. Spain  fari@udc.es
*/

/*-----------------------------------------------------------------------
 stack.h: Definition of a stack (statically defined) data structure.
	It is used by the trie of the searcher
 ------------------------------------------------------------------------*/
 
#include <string.h>
#include <stdlib.h>
#include <math.h>
#include <stdio.h>
#include <malloc.h>
#include "constants.h"

	/*
	 * Definition of structure Stack
	 */
	struct sstack {
		unsigned int *data;
		int  top;	//top of the stack
		unsigned long size; //number of elements of the stack
	} ;

	typedef struct sstack *t_stack;


	t_stack createStack(unsigned int size);
	void destroyStack (t_stack stack);
	
	unsigned int pop(t_stack stack);
	void push (t_stack stack, unsigned int element);
	int isEmpty(t_stack stack);  //RETURNs 1 if it is empty
	int isFull(t_stack stack);   //RETURNs 1 if it is full
	void printStack(t_stack stack);
	

