/* Multipattern random searches using set Horspool's algorithm adapted to 
search inside a text compressed with SC-Dense Code.
Lightweight Natural Language Text Compression: Information Retrieval 2006
Copyright (C) 2005 Antonio Faria.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Author's contact: Antonio Faria, Dept. of Computer Science, University of
A Corua. Campus de Elvia s/n. Spain  fari@udc.es
*/

/* tiempo.h: Gives support to take time measures 
	Using either getTiempo we take note of the current moment of "time"
	Differences between two moments of time permit to obtain execution time.
*/

#include <sys/resource.h>
#include <sys/time.h>
#include <malloc.h>

	struct TiempoDato{
	  double user;
	  double sys;
	  double total;
	};

	typedef struct TiempoDato tTiempo;

	/* By using gettimeofday and getrusage, it obtains current time. */
	void getTiempo(tTiempo *tiempo);
	/* Obtains the difference in time between two moments (tTiempo) and displays it.  */
	void muestraTiempo(tTiempo mitiempo1, tTiempo mitiempo2,char *mensaje);

